## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTDeployable

All Superinterfaces:
  Node

All Known Subinterfaces:
  IASTRoutine, IASTTrigger

    public interface IASTDeployable

extends Node

All the statements that can be deploied to db as a executable unit (Routine) should implement this interface

Author:
  Hui Cao

Method Summary
`java.lang.String` `getDBObjectName()`
`Node` `getNameNode()`
`SQLObject` `getSQLModel()` Returns the corresponding procedural object sql model, such as `Routine`,`Trigger` or `Event`.
`int` `getType()` whether it's SP/fuction/trigger/event.
`void` `setNameNode(Node nameNode)`
`void` `setSQLModel(SQLObject model)` Associates a SQLObject with this AST node.

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Method Detail

### getDBObjectName

    java.lang.String getDBObjectName()

  Returns:
    the SP/fuction/trigger/event name

### getType

    int getType()

  whether it's SP/fuction/trigger/event. See SQLParserConstants

  Returns:

### getSQLModel

    SQLObject getSQLModel()

  Returns the corresponding procedural object sql model, such as `Routine`,`Trigger` or `Event`. Might be null if the parser didn't set the model first.

  Returns:

### setSQLModel

    void setSQLModel(SQLObject model)

  Associates a SQLObject with this AST node. Only intended for parser to call.

  Parameters:
    `model` -

### getNameNode

    Node getNameNode()

### setNameNode

    void setNameNode(Node nameNode)